import hashlib


def generate_pseudonym(service_provider_salt: str, entryUUID: str, school_authority: str) -> str:
    h = hashlib.blake2b(person=school_authority.encode(), salt=service_provider_salt.encode())
    h.update(entryUUID.encode())
    return h.hexdigest()