package bettermarks_plugin

username := "testuser"

other_username := "falseusername"

demo_user := {"username": username}

test_user_rule {
	user == true with actor as demo_user with input.request.username as username
	user == false with actor as demo_user with input.request.username as other_username
	user == false with actor as "foo" with input.request.username as username
	user == false with actor as demo_user with input as "foo"
}

test_teacher_rule {
	teacher == true with actor as demo_user with input.target.teachers as [{"username": username}]
	teacher == false with actor as demo_user with input.target.teachers as [{"username": other_username}]
	teacher == false with actor as "foo" with input.target.teachers as [{"username": username}]
	teacher == false with actor as demo_user with input as "foo"
}
